curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/monitoring_submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"monitoring_requirement_ids": [
"mnr_1DJJQY5C61S0R519"
],
"source_id": "src_1EBBF4M7X1S06G1Y",
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z",
"notes": "Pages 14-21",
"supplier_reference_id": "<string>"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/monitoring_submissions"
payload = {
"monitoring_requirement_ids": ["mnr_1DJJQY5C61S0R519"],
"source_id": "src_1EBBF4M7X1S06G1Y",
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z",
"notes": "Pages 14-21",
"supplier_reference_id": "<string>"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
monitoring_requirement_ids: ['mnr_1DJJQY5C61S0R519'],
source_id: 'src_1EBBF4M7X1S06G1Y',
valid_from: '2023-11-07T05:31:56Z',
valid_to: '2023-11-07T05:31:56Z',
notes: 'Pages 14-21',
supplier_reference_id: '<string>'
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/monitoring_submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mns_1D46WGW6A1S03FRG",
"notes": "<string>",
"source_id": "src_1EBBF4M7X1S06G1Y",
"supplier_reference_id": "<string>",
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Monitoring Submission
Creates a monitoring submission for one or more project monitoring requirements.
The submission is associated with a previously uploaded source document (see Post Source). One source may be used to create multiple submissions.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
The Isometric IDs of the monitoring requirements that the submission is for.
120 - 37The Isometric ID of the source that the submission is for.
20 - 37"src_1EBBF4M7X1S06G1Y"
"src_1DW1B17VNSBX37N0"
Signifies the start of the period that the submission is valid for.
Signifies the end of the period that the submission is valid for.
Free-text notes for the monitoring submission. Must be at most 300 characters long.
300"Pages 14-21"
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Response
Successful Response
20 - 37"mns_1D46WGW6A1S03FRG"
"mns_1DCRH1P6JSBX480H"
20 - 37"src_1EBBF4M7X1S06G1Y"
"src_1DW1B17VNSBX37N0"
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Related topics
Post Monitoring Submission Monitoring RequirementsAPI changelogGet Monitoring SubmissionsWas this page helpful?